> ## Documentation Index
> Fetch the complete documentation index at: https://anaconda.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Installing with silent mode

Silent mode installation allows Anaconda Distribution or Miniconda to be installed automatically without user interaction, making it ideal for automated deployments, enterprise environments, or when installing across multiple machines. When launching the installer in silent mode, you can supply the installation arguments detailed below through your command line interface (CLI) or with a script.

> [tab] Anaconda Distribution
>
> These command-line instructions will get you set up quickly with the latest Anaconda Distribution installer. Follow the steps for your system to download and silently install Anaconda Distribution:
>
> > [tab] Windows
> >
> > 1. Download the Anaconda Distribution installer manually from [anaconda.com/download](https://www.anaconda.com/download) or use one of the following commands to download the installer with Command Prompt or PowerShell:
> >
> >    ```sh Command Prompt theme={null}
> >    curl https://repo.anaconda.com/archive/Anaconda3-2026.07-1-Windows-x86_64.exe --output .\Anaconda3-2026.07-1-Windows-x86_64.exe
> >    ```
> >
> >    ```sh PowerShell theme={null}
> >    Invoke-WebRequest -Uri "https://repo.anaconda.com/archive/Anaconda3-2026.07-1-Windows-x86_64.exe" -OutFile ".\Anaconda3-2026.07-1-Windows-x86_64.exe"
> >    ```
> >
> >    > [!NOTE]
> >    >
> >    > For instructions on downloading an older installer version, see [Using older installer versions](https://anaconda.com/docs/getting-started/advanced-install/old-os.md).
> >
> > 2. Run the Windows installer for Anaconda Distribution in silent mode by using the `/S` argument. The following optional arguments are also supported:
> >
> >    Argument
> >
> >    Description
> >
> >    **`/InstallationType=[JustMe|AllUsers]`**
> >
> >    Default is `JustMe`.
> >
> >    **`/AddToPath=[0|1]`**
> >
> >    Default is `0`.
> >
> >    **`/RegisterPython=[0|1]`**
> >
> >    Make this installer's Python the system's default Python. Default is `0`.
> >
> >    **`/S`**
> >
> >    Install in silent mode.
> >
> >    **`/D=<installation path>`**
> >
> >    Destination installation path. Must be the last argument. Do not wrap in quotation marks. Required if installing in silent mode.
> >
> >    All arguments are case-sensitive.
> >
> >    For example, the following batch file command installs Anaconda Distribution for the current user without registering Python as the system's default:
> >
> >    ```sh theme={null}
> >    start /wait "" Anaconda3-2026.07-1-Windows-x86_64.exe /InstallationType=JustMe /RegisterPython=0 /S /D=%UserProfile%Anaconda3
> >    ```
> >
> >    > [!NOTE]
> >    >
> >    > As of `Anaconda Distribution 2022.05`, the option to add Anaconda to the PATH environment variable during an **All Users** installation has been disabled. This was done to address [a security exploit](https://nvd.nist.gov/vuln/detail/CVE-2022-26526). You can still add Anaconda to the PATH environment variable during a **Just Me** installation.
>
> > [tab] macOS/Linux
> >
> > 1. Download the Anaconda Distribution installer manually from [anaconda.com/download](https://www.anaconda.com/download) or use one of the following commands to download the installer with the command line:
> >
> >    > [tab] macOS
> >    >
> >    > ```sh theme={null}
> >    > curl -O https://repo.anaconda.com/archive/Anaconda3-2026.07-1-MacOSX-arm64.sh
> >    > ```
> >
> >    > [tab] Linux x86
> >    >
> >    > ```sh curl theme={null}
> >    > curl -O https://repo.anaconda.com/archive/Anaconda3-2026.07-1-Linux-x86_64.sh
> >    > ```
> >    >
> >    > ```sh wget theme={null}
> >    > wget https://repo.anaconda.com/archive/Anaconda3-2026.07-1-Linux-x86_64.sh
> >    > ```
> >
> >    > [tab] Linux AWS Graviton2/ARM64
> >    >
> >    > ```sh curl theme={null}
> >    > curl -O https://repo.anaconda.com/archive/Anaconda3-2026.07-1-Linux-aarch64.sh
> >    > ```
> >    >
> >    > ```sh wget theme={null}
> >    > wget https://repo.anaconda.com/archive/Anaconda3-2026.07-1-Linux-aarch64.sh
> >    > ```
> >
> >    > [!NOTE]
> >    >
> >    > For instructions on downloading an older installer version, see [Using older installer versions](https://anaconda.com/docs/getting-started/advanced-install/old-os.md).
> >
> > 2. Run the silent installation for macOS or Linux by specifying the `-b` and `-p` arguments of the bash installer.
> >
> >    Flag
> >
> >    Description
> >
> >    **`-b`**
> >
> >    Batch mode with no PATH modifications to `~/.bashrc`. Assumes that you agree to the license agreement. Does not edit the `.bashrc` or `.bash_profile` files.
> >
> >    **`-p`**
> >
> >    Installation prefix/path.
> >
> >    > [!NOTE]
> >    >
> >    > If the target directory already exists, the installer exits with an error. To reinstall, [uninstall Anaconda Distribution](https://anaconda.com/docs/getting-started/anaconda/uninstall.md) first, then run the installer again.
> >
> >    For example, the following command installs Anaconda Distribution for the current user:
> >
> >    ```sh theme={null}
> >    bash ./Anaconda3-2026.07-1-MacOSX-arm64.sh -b -p $HOME/anaconda3
> >    ```
> >
> >    The installer will not prompt you for anything, including setup of your shell to activate conda. To add this activation in your current shell session:
> >
> >    ```sh theme={null}
> >    source ~/anaconda3/bin/activate
> >    ```
> >
> >    With this activated shell, install conda's shell functions for easier access in the future:
> >
> >    ```sh theme={null}
> >    conda init --all
> >    ```
> >
> >    > [!NOTE]
> >    >
> >    > Using `conda init` modifies some of your shell configuration files, such as `.bash_profile` or `.zshrc`. To test which files `conda init` is going to modify on your system, run the command with the `--dry-run` flag.
> >    >
> >    > ```sh theme={null}
> >    > conda init --all --dry-run
> >    > ```
> >    >
> >    > Including `--dry-run` prevents conda from making any actual file updates.
> >
> >    If you'd prefer that conda's base environment not be activated on startup, set the `auto_activate_base` parameter to false:
> >
> >    ```sh theme={null}
> >    conda config --set auto_activate_base false
> >    ```

> [tab] Miniconda
>
> These command-line instructions will get you set up quickly with the latest Miniconda installer. Follow the steps for your system to download and silently install Miniconda:
>
> > [tab] Windows
> >
> > 1. Download the Miniconda installer manually from [anaconda.com/download](https://www.anaconda.com/download) or use one of the following commands to download the installer with Command Prompt or PowerShell:
> >
> >    ```sh Command Prompt theme={null}
> >    curl https://repo.anaconda.com/miniconda/Miniconda3-latest-Windows-x86_64.exe --output .\Miniconda3-latest-Windows-x86_64.exe
> >    ```
> >
> >    ```sh PowerShell theme={null}
> >    Invoke-WebRequest -Uri "https://repo.anaconda.com/miniconda/Miniconda3-latest-Windows-x86_64.exe" -OutFile ".\Miniconda3-latest-Windows-x86_64.exe"
> >    ```
> >
> >    > [!NOTE]
> >    >
> >    > For instructions on downloading an older installer version, see [Using older installer versions](https://anaconda.com/docs/getting-started/advanced-install/old-os.md).
> >
> > 2. Run the Windows installer for Miniconda in silent mode by using the `/S` argument. The following optional arguments are also supported:
> >
> >    Argument
> >
> >    Description
> >
> >    **`/InstallationType=[JustMe|AllUsers]`**
> >
> >    Default is `JustMe`.
> >
> >    **`/AddToPath=[0|1]`**
> >
> >    Default is `0`.
> >
> >    **`/RegisterPython=[0|1]`**
> >
> >    Make this installer's Python the system's default Python. Default is `0`.
> >
> >    **`/S`**
> >
> >    Install in silent mode.
> >
> >    **`/D=<installation path>`**
> >
> >    Destination installation path. Must be the last argument. Do not wrap in quotation marks. Required if installing in silent mode.
> >
> >    All arguments are case-sensitive.
> >
> >    For example, the following batch file command installs Anaconda Distribution for the current user without registering Python as the system's default:
> >
> >    ```sh theme={null}
> >    start /wait "" Miniconda3-latest-Windows-x86_64.exe /InstallationType=JustMe /RegisterPython=0 /S /D=%UserProfile%Miniconda3
> >    ```
>
> > [tab] macOS/Linux
> >
> > 1. Download the Miniconda installer manually from [anaconda.com/download](https://www.anaconda.com/download) or use one of the following commands to download the installer with the command line:
> >
> >    > [tab] macOS
> >    >
> >    > ```sh theme={null}
> >    > curl -O https://repo.anaconda.com/miniconda/Miniconda3-latest-MacOSX-arm64.sh
> >    > ```
> >
> >    > [tab] Linux x86
> >    >
> >    > ```sh curl theme={null}
> >    > curl -O https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh
> >    > ```
> >    >
> >    > ```sh wget theme={null}
> >    > wget https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh
> >    > ```
> >
> >    > [tab] Linux AWS Graviton2/ARM64
> >    >
> >    > ```sh curl theme={null}
> >    > curl -O https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-aarch64.sh
> >    > ```
> >    >
> >    > ```sh wget theme={null}
> >    > wget https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-aarch64.sh
> >    > ```
> >
> >    > [!NOTE]
> >    >
> >    > For instructions on downloading an older installer version, see [Using older installer versions](https://anaconda.com/docs/getting-started/advanced-install/old-os.md).
> >
> > 2. Run the silent installation for macOS or Linux by specifying the `-b` and `-p` arguments of the bash installer.
> >
> >    Flag
> >
> >    Description
> >
> >    **`-b`**
> >
> >    Batch mode with no PATH modifications to `~/.bashrc`. Assumes that you agree to the license agreement. Does not edit the `.bashrc` or `.bash_profile` files.
> >
> >    **`-p`**
> >
> >    Installation prefix/path.
> >
> >    > [!NOTE]
> >    >
> >    > If the target directory already exists, the installer exits with an error. To reinstall, [uninstall Miniconda](https://anaconda.com/docs/getting-started/miniconda/uninstall.md) first, then run the installer again.
> >
> >    For example, the following command installs Miniconda for the current user:
> >
> >    ```sh theme={null}
> >    bash ./Miniconda3-latest-MacOSX-arm64.sh -b -p $HOME/miniconda3
> >    ```
> >
> >    The installer will not prompt you for anything, including setup of your shell to activate conda. To add this activation in your current shell session:
> >
> >    ```sh theme={null}
> >    source ~/miniconda3/bin/activate
> >    ```
> >
> >    With this activated shell, install conda's shell functions for easier access in the future:
> >
> >    ```sh theme={null}
> >    conda init --all
> >    ```
> >
> >    > [!NOTE]
> >    >
> >    > Using `conda init` modifies some of your shell configuration files, such as `.bash_profile` or `.zshrc`. To test which files `conda init` is going to modify on your system, run the command with the `--dry-run` flag.
> >    >
> >    > ```sh theme={null}
> >    > conda init --all --dry-run
> >    > ```
> >    >
> >    > Including `--dry-run` prevents conda from making any actual file updates.
> >
> >    If you'd prefer that conda's base environment not be activated on startup, set the `auto_activate_base` parameter to false:
> >
> >    ```sh theme={null}
> >    conda config --set auto_activate_base false
> >    ```

## Troubleshooting

Troubleshoot

### command not found: conda

***

<details>
  <summary>Cause</summary>

  The `command not found: conda` error occurs when your command line interface (CLI) can't find the conda command in order to use it. This might be because:

  * You don't have conda properly initialized.
  * You have set `auto_activate_base` to `false`.
  * You're using a shell that conda doesn't support.
  * Conda is not installed or the install was incomplete or corrupted.

  > [!NOTE]
  >
  > These issues primarily occur on macOS/Linux computers. Anaconda Distribution and Miniconda installations on Windows include Anaconda Prompt (A command-line application included with Windows installations of Anaconda Distribution and Miniconda. Find it by searching 'Anaconda Prompt' in the Windows Start menu.), which opens with conda initialized by default.
</details>

***

<details>
  <summary>Solution</summary>

  > [accordion] Initialize conda in your shell
  >
  > If you recently installed Anaconda Distribution or Miniconda, make sure you closed and reopened your CLI to make conda's initialization take effect.
  >
  > > [!TIP]
  > >
  > > If you don't want to close your CLI, you can also use one of the following `source` commands to refresh your shell:
  > >
  > > ```sh bash theme={null}
  > > source ~/.bashrc
  > > ```
  > >
  > > ```sh zsh theme={null}
  > > source ~/.zshrc
  > > ```
  > >
  > > ```sh fish theme={null}
  > > source ~/.config/fish/config.fish
  > > ```
  > >
  > > ```sh cshrc theme={null}
  > > source ~/.cshrc
  > > ```
  > >
  > > ```sh xonshrc theme={null}
  > > source ~/.xonshrc
  > > ```
  > >
  > > Comments
  > >
  > > Use the command that matches your shell.
  >
  > You can also initialize conda directly from its `bin` directory:
  >
  > ```sh Initialization command theme={null}
  > <PATH_TO_CONDA>/bin/conda init
  > ```
  >
  > ```sh Examples theme={null}
  > miniconda3/bin/conda init
  > /opt/miniconda3/bin/conda init
  > anaconda3/bin/conda init
  > /opt/anaconda3/bin/conda init
  > ```
  >
  > Comments
  >
  > Replace \<PATH\_TO\_CONDA> with a path to your conda installation.

  > [accordion] Set auto\_activate\_base to true
  >
  > To see the value for `auto_activate_base`, run the following command:
  >
  > ```sh theme={null}
  > conda config --describe auto_activate_base
  > ```
  >
  > If your terminal returns `false`, this means that conda is not automatically activating your base environment when you start a new shell. This behavior emulates your system Python, and some users prefer to have their conda environment be inactive until they need it. However, this is not conda's default behavior after installation.
  >
  > To change the value of `auto_activate_base` to `true`, run the following command:
  >
  > ```sh theme={null}
  > conda config --set auto_activate_base true
  > ```
  >
  > If you have `auto_activate_base` set as `false`, the conda command will still be available as a shell function, but your base environment will not be active when a new shell is started. To activate your base environment, run `conda activate`.

  > [accordion] Use a shell that conda supports
  >
  > For information on which shells conda supports, see [Conda activate](https://docs.conda.io/projects/conda/en/stable/dev-guide/deep-dives/activation.html#conda-activate) in the official conda documentation.

  > [accordion] Verify your installation of conda
  >
  > If you have tried to initialize conda in your shell but it didn't work, try uninstalling and reinstalling [Anaconda Distribution](https://anaconda.com/docs/getting-started/installation.md) or [Miniconda](https://anaconda.com/docs/getting-started/installation.md).
  >
  > > [!TIP]
  > >
  > > Make sure that you say yes to the initialization option, and, if installing from the CLI, reinitialize your shell by restarting it or using its `source` command. For more information, see [Initialize conda in your shell](#initialize-conda-in-your-shell).
</details>
